summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Aaditya Bagga <aaditya_gnulinux@zoho.com>2015-03-30 14:00:22 +0530
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-04-05 15:59:38 +0700
commit1e13b818c1a320a477a434133666533c5539f503 (patch)
treedbc0493de56ea8d24925bcec4b5f05f0edf12354 /network
parent712d6464362bf605d9e51dd569de0fbb7adfa9bb (diff)
downloadslackbuilds-1e13b818c1a320a477a434133666533c5539f503.tar.gz
slackbuilds-1e13b818c1a320a477a434133666533c5539f503.tar.xz
network/nbwmon: Added (ncurses bandwidth monitor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/nbwmon/README12
-rw-r--r--network/nbwmon/nbwmon.SlackBuild73
-rw-r--r--network/nbwmon/nbwmon.info10
-rw-r--r--network/nbwmon/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/network/nbwmon/README b/network/nbwmon/README
new file mode 100644
index 0000000000..5e60731d64
--- /dev/null
+++ b/network/nbwmon/README
@@ -0,0 +1,12 @@
+nbwmon is ncurses based bandwidth monitor.
+It monitors transmitted and received traffic for a network interface.
+
+# Features
+
+* Print transmitted and received bandwidth graphs.
+* Print current, maximum, average and minimum transfer speeds.
+* Print total traffic received and transmitted.
+* Scale to full window on startup and resize.
+* Detect active network interface.
+* Support for multiple units.
+* Support for colors.
diff --git a/network/nbwmon/nbwmon.SlackBuild b/network/nbwmon/nbwmon.SlackBuild
new file mode 100644
index 0000000000..0708ce07ec
--- /dev/null
+++ b/network/nbwmon/nbwmon.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009, 2010, 2011, 2012, 2013, 2014 Eric Hameleers, Eindhoven, Netherlands
+
+# Slackware build script for nbwmon
+
+# Copyright 2015 Aaditya Bagga <aaditya_gnulinux@zoho.com>>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nbwmon
+VERSION=${VERSION:-0.5.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+[ -e $CWD/$PRGNAM-$VERSION.tar.gz ] && tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || [ -e $CWD/$VERSION.tar.gz ] && tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make PREFIX="/usr" DESTDIR="$PKG" install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/nbwmon/nbwmon.info b/network/nbwmon/nbwmon.info
new file mode 100644
index 0000000000..d5e5d46a79
--- /dev/null
+++ b/network/nbwmon/nbwmon.info
@@ -0,0 +1,10 @@
+PRGNAM="nbwmon"
+VERSION="0.5.2"
+HOMEPAGE="https://github.com/causes-/nbwmon"
+DOWNLOAD="https://github.com/causes-/nbwmon/archive/0.5.2.tar.gz"
+MD5SUM="d337ba71c670823e5878fa87c94d9c4d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Aaditya Bagga"
+EMAIL="aaditya_gnulinux@zoho.com"
diff --git a/network/nbwmon/slack-desc b/network/nbwmon/slack-desc
new file mode 100644
index 0000000000..7d605e2891
--- /dev/null
+++ b/network/nbwmon/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nbwmon: nbwmon (ncurses bandwidth monitor)
+nbwmon:
+nbwmon: nbwmon is ncurses based bandwidth monitor.
+nbwmon: It monitors transmitted and received traffic
+nbwmon: for a network interface.
+nbwmon:
+nbwmon: Homepage: http://causes.host.funtoo.org/nbwmon.pt
+nbwmon:
+nbwmon:
+nbwmon:
+nbwmon: